From f35a22d1199a2485cfd8b712545fa5a7b639e862 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 19 2020 22:56:50 +0000
Subject: [PATCH 1458/2232] Resolve clippy needless_return lint


---

diff --git a/syntax/check.rs b/syntax/check.rs
index f029e0a..0e603a6 100644
--- a/syntax/check.rs
+++ b/syntax/check.rs
@@ -408,14 +408,14 @@ fn is_unsized(cx: &mut Check, ty: &Type) -> bool {
             let ident = &ident.rust;
             ident == CxxString || is_opaque_cxx(cx, ident) || cx.types.rust.contains(ident)
         }
-        Type::CxxVector(_) | Type::Slice(_) | Type::Void(_) => return true,
+        Type::CxxVector(_) | Type::Slice(_) | Type::Void(_) => true,
         Type::RustBox(_)
         | Type::RustVec(_)
         | Type::UniquePtr(_)
         | Type::Ref(_)
         | Type::Str(_)
         | Type::Fn(_)
-        | Type::SliceRefU8(_) => return false,
+        | Type::SliceRefU8(_) => false,
     }
 }
 

